# Deprecated API

## Contents

- Interfaces
- Methods

Deprecated Interfaces
Interface
Description
org.apache.sling.caconfig.management.ContextPathStrategyMultiplexer
Please use `ContextPathStrategyMultiplexer` instead.

Deprecated Methods
Method
Description
org.apache.sling.caconfig.management.ConfigurationManager.getPersistenceResourcePath(String)
Please use `ConfigurationPersistenceStrategyMultiplexer` instead.
org.apache.sling.caconfig.management.multiplexer.ConfigurationOverrideMultiplexer.overrideProperties(String, String, Resource)
Please use `ConfigurationOverrideMultiplexer.overrideProperties(String, String, Resource, ResourceResolver)` instead.